Skip to content

# Authorizenet API

`terminusgps` offers the `authorizenet` package.

## Models

Some Authorizenet API objects have been modeled, for example:

- `CustomerProfile` for manipulating customer profiles.

- `SubscriptionProfile` for manipulating customer subscriptions.

- `PaymentProfile` and `AddressProfile` for manipulating customer payment information.

See also

Usage Examples

Contents:

- Authorizenet API Authentication
  - `get_environment()`
  - `get_merchant_auth()`
  - `get_validation_mode()`
- Constants
  - `AuthorizenetSubscriptionStatus`
  - `ANET_XMLNS`
- API Controllers
  - `AuthorizenetControllerExecutor`
  - `AuthorizenetControllerExecutionError`
- Usage Examples
  - Retrieve an Authorizenet customer profile
  - Create an Authorizenet customer profile
  - Create an Authorizenet payment profile with credit card
- Profiles
  - Base
  - Customer
- Utilities
  - `calculate_amount_plus_tax()`
  - `generate_customer_address()`
  - `generate_customer_payment()`
  - `get_customer_profile_ids()`
  - `get_merchant_details()`
  - `get_transaction()`
- Validators
  - `validate_credit_card_expiry_month()`
  - `validate_credit_card_expiry_year()`
  - `validate_credit_card_number()`
  - Usage